> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Updates a user.

Updates the first or last name of an existing user.


## OpenAPI

````yaml openapi/organizations/update-user.json PATCH /organizations/users/{user_id}
openapi: 3.1.0
info:
  title: Users API - Update
  version: 1.0.0
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /organizations/users/{user_id}:
    patch:
      summary: Update User
      description: Updates a user.
      operationId: update-user
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: User UUID.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: First name.
                last_name:
                  type: string
                  description: Last name.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  email:
                    type: string
                  first_name:
                    type: string
                  last_name:
                    type: string
                  account_permissions:
                    type: array
                    items:
                      type: object
                      properties:
                        account_id:
                          type: string
                          format: uuid
                        role_id:
                          type: string
                  account_group_permissions:
                    type: array
                    items:
                      type: object
                      properties:
                        account_group_id:
                          type: string
                          format: uuid
                        role_id:
                          type: string
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: PUBLIC-API-KEY
      x-default: <Your PUBLIC-API-KEY>
    sec1:
      type: apiKey
      in: header
      name: PRIVATE-SECRET-KEY
      x-default: <Your PRIVATE-SECRET-KEY>

````